Skip to main content
GET
List events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startDate[gte]
string<date>

Minimum start date filter (inclusive) in YYYY-MM-DD format

startDate[lte]
string<date>

Maximum start date filter (inclusive) in YYYY-MM-DD format

lastModified[gte]
string<date-time>

Minimum last modified timestamp filter (inclusive) in ISO 8601 format

lastModified[lte]
string<date-time>

Maximum last modified timestamp filter (inclusive) in ISO 8601 format

pageSize
integer

How many events to return per page, from 1 to 200. Defaults to 10.

Required range: 1 <= x <= 200
cursor[before]
string

Pass page.first from the previous response to get the previous page.

cursor[after]
string

Pass page.last from the previous response to get the next page.

countryCode
string

(Optional) ISO-2 country code If supplied, it will be used to return a region specific checkout link. Defaults to "gb".

Response

A page of events, with a cursor for the next page.

events
EventOccurrence · object[]
required
page
object
required